Package org.eclipse.lemminx.extensions.xerces.xmlmodel.msg

## Class XMLModelMessageFormatter

- java.lang.Object
- - org.eclipse.lemminx.extensions.xerces.xmlmodel.msg.XMLModelMessageFormatter

All Implemented Interfaces:
  `org.apache.xerces.util.MessageFormatter`

    public class XMLModelMessageFormatter
    extends Object
    implements org.apache.xerces.util.MessageFormatter

XMLModelMessageFormatter provides error messages for the xml-model Recommendation.

This class is a copy/paste of Xerces org.apache.xerces.impl.msg.XMLMessageFormatter class.

Author:
  Eric Ye, IBM, Angelo ZERR

### Field Summary

Fields
`static String` `XML_MODEL_DOMAIN` The domain of messages concerning the XML 1.0 specification.

### Constructor Summary

Constructors
`XMLModelMessageFormatter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `formatMessage​(Locale locale, String key, Object[] arguments)` Formats a message with the specified arguments using the given locale information.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### XML_MODEL_DOMAIN

    public static final String XML_MODEL_DOMAIN

The domain of messages concerning the XML 1.0 specification.

See Also:
  Constant Field Values

### Constructor Detail

#### XMLModelMessageFormatter

    public XMLModelMessageFormatter()

### Method Detail

#### formatMessage

    public String formatMessage​(Locale locale,
                                String key,
                                Object[] arguments)
                         throws MissingResourceException

Formats a message with the specified arguments using the given locale information.

Specified by:
  `formatMessage` in interface `org.apache.xerces.util.MessageFormatter`
Parameters:
  `locale` - The locale of the message.
  `key` - The message key.
  `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
Returns:
  Returns the formatted message.
Throws:
  `MissingResourceException` - Thrown if the message with the specified key cannot be found.